### YamlMime:ManagedReference
items:
- uid: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader
  commentId: T:Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader
  id: ParticleEmitterSettingsResourceLoader
  parent: Voile.Systems.Particles
  children:
  - Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.LoadResource(System.String)
  - Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.SupportedExtensions
  langs:
  - csharp
  - vb
  name: ParticleEmitterSettingsResourceLoader
  nameWithType: ParticleEmitterSettingsResourceLoader
  fullName: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader
  type: Class
  source:
    remote:
      path: Voile/Source/Systems/ParticleSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: ParticleEmitterSettingsResourceLoader
    path: Source/Systems/ParticleSystem.cs
    startLine: 57
  assemblies:
  - Voile
  namespace: Voile.Systems.Particles
  summary: Loads <xref href="Voile.Systems.Particles.ParticleEmitterSettingsResource" data-throw-if-not-resolved="false"></xref> from a provided TOML data file.
  example: []
  syntax:
    content: 'public class ParticleEmitterSettingsResourceLoader : ResourceLoader<ParticleEmitterSettingsResource>'
    content.vb: Public Class ParticleEmitterSettingsResourceLoader Inherits ResourceLoader(Of ParticleEmitterSettingsResource)
  inheritance:
  - System.Object
  - Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}
  inheritedMembers:
  - Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.Load(System.String)
  - Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.Reload
  - Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.TryGet(System.Guid,Voile.Systems.Particles.ParticleEmitterSettingsResource@)
  - Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.TryUnload(System.Guid)
  - Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}._loadedResources
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.SupportedExtensions
  commentId: P:Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.SupportedExtensions
  id: SupportedExtensions
  parent: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader
  langs:
  - csharp
  - vb
  name: SupportedExtensions
  nameWithType: ParticleEmitterSettingsResourceLoader.SupportedExtensions
  fullName: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.SupportedExtensions
  type: Property
  source:
    remote:
      path: Voile/Source/Systems/ParticleSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: SupportedExtensions
    path: Source/Systems/ParticleSystem.cs
    startLine: 59
  assemblies:
  - Voile
  namespace: Voile.Systems.Particles
  summary: File extensions that are supported by this loader.
  example: []
  syntax:
    content: public override IEnumerable<string> SupportedExtensions { get; }
    parameters: []
    return:
      type: System.Collections.Generic.IEnumerable{System.String}
    content.vb: Public Overrides ReadOnly Property SupportedExtensions As IEnumerable(Of String)
  overridden: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.SupportedExtensions
  overload: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.SupportedExtensions*
- uid: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.LoadResource(System.String)
  commentId: M:Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.LoadResource(System.String)
  id: LoadResource(System.String)
  parent: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader
  langs:
  - csharp
  - vb
  name: LoadResource(string)
  nameWithType: ParticleEmitterSettingsResourceLoader.LoadResource(string)
  fullName: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.LoadResource(string)
  type: Method
  source:
    remote:
      path: Voile/Source/Systems/ParticleSystem.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: LoadResource
    path: Source/Systems/ParticleSystem.cs
    startLine: 63
  assemblies:
  - Voile
  namespace: Voile.Systems.Particles
  summary: Load steps specific to this resource loader.
  example: []
  syntax:
    content: protected override ParticleEmitterSettingsResource LoadResource(string path)
    parameters:
    - id: path
      type: System.String
      description: File system path to the resource to load.
    return:
      type: Voile.Systems.Particles.ParticleEmitterSettingsResource
      description: Loaded resource.
    content.vb: Protected Overrides Function LoadResource(path As String) As ParticleEmitterSettingsResource
  overridden: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.LoadResource(System.String)
  overload: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.LoadResource*
  nameWithType.vb: ParticleEmitterSettingsResourceLoader.LoadResource(String)
  fullName.vb: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.LoadResource(String)
  name.vb: LoadResource(String)
references:
- uid: Voile.Systems.Particles.ParticleEmitterSettingsResource
  commentId: T:Voile.Systems.Particles.ParticleEmitterSettingsResource
  parent: Voile.Systems.Particles
  href: Voile.Systems.Particles.ParticleEmitterSettingsResource.html
  name: ParticleEmitterSettingsResource
  nameWithType: ParticleEmitterSettingsResource
  fullName: Voile.Systems.Particles.ParticleEmitterSettingsResource
- uid: Voile.Systems.Particles
  commentId: N:Voile.Systems.Particles
  href: Voile.html
  name: Voile.Systems.Particles
  nameWithType: Voile.Systems.Particles
  fullName: Voile.Systems.Particles
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Systems
    name: Systems
    href: Voile.Systems.html
  - name: .
  - uid: Voile.Systems.Particles
    name: Particles
    href: Voile.Systems.Particles.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Systems
    name: Systems
    href: Voile.Systems.html
  - name: .
  - uid: Voile.Systems.Particles
    name: Particles
    href: Voile.Systems.Particles.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}
  commentId: T:Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}
  parent: Voile.Resources
  definition: Voile.Resources.ResourceLoader`1
  href: Voile.Resources.ResourceLoader-1.html
  name: ResourceLoader<ParticleEmitterSettingsResource>
  nameWithType: ResourceLoader<ParticleEmitterSettingsResource>
  fullName: Voile.Resources.ResourceLoader<Voile.Systems.Particles.ParticleEmitterSettingsResource>
  nameWithType.vb: ResourceLoader(Of ParticleEmitterSettingsResource)
  fullName.vb: Voile.Resources.ResourceLoader(Of Voile.Systems.Particles.ParticleEmitterSettingsResource)
  name.vb: ResourceLoader(Of ParticleEmitterSettingsResource)
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader`1
    name: ResourceLoader
    href: Voile.Resources.ResourceLoader-1.html
  - name: <
  - uid: Voile.Systems.Particles.ParticleEmitterSettingsResource
    name: ParticleEmitterSettingsResource
    href: Voile.Systems.Particles.ParticleEmitterSettingsResource.html
  - name: '>'
  spec.vb:
  - uid: Voile.Resources.ResourceLoader`1
    name: ResourceLoader
    href: Voile.Resources.ResourceLoader-1.html
  - name: (
  - name: Of
  - name: " "
  - uid: Voile.Systems.Particles.ParticleEmitterSettingsResource
    name: ParticleEmitterSettingsResource
    href: Voile.Systems.Particles.ParticleEmitterSettingsResource.html
  - name: )
- uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.Load(System.String)
  commentId: M:Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.Load(System.String)
  parent: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}
  definition: Voile.Resources.ResourceLoader`1.Load(System.String)
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Load_System_String_
  name: Load(string)
  nameWithType: ResourceLoader<ParticleEmitterSettingsResource>.Load(string)
  fullName: Voile.Resources.ResourceLoader<Voile.Systems.Particles.ParticleEmitterSettingsResource>.Load(string)
  nameWithType.vb: ResourceLoader(Of ParticleEmitterSettingsResource).Load(String)
  fullName.vb: Voile.Resources.ResourceLoader(Of Voile.Systems.Particles.ParticleEmitterSettingsResource).Load(String)
  name.vb: Load(String)
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.Load(System.String)
    name: Load
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Load_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.Load(System.String)
    name: Load
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Load_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.Reload
  commentId: M:Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.Reload
  parent: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}
  definition: Voile.Resources.ResourceLoader`1.Reload
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Reload
  name: Reload()
  nameWithType: ResourceLoader<ParticleEmitterSettingsResource>.Reload()
  fullName: Voile.Resources.ResourceLoader<Voile.Systems.Particles.ParticleEmitterSettingsResource>.Reload()
  nameWithType.vb: ResourceLoader(Of ParticleEmitterSettingsResource).Reload()
  fullName.vb: Voile.Resources.ResourceLoader(Of Voile.Systems.Particles.ParticleEmitterSettingsResource).Reload()
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.Reload
    name: Reload
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Reload
  - name: (
  - name: )
  spec.vb:
  - uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.Reload
    name: Reload
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Reload
  - name: (
  - name: )
- uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.TryGet(System.Guid,Voile.Systems.Particles.ParticleEmitterSettingsResource@)
  commentId: M:Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.TryGet(System.Guid,Voile.Systems.Particles.ParticleEmitterSettingsResource@)
  parent: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}
  definition: Voile.Resources.ResourceLoader`1.TryGet(System.Guid,`0@)
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryGet_System_Guid__0__
  name: TryGet(Guid, out ParticleEmitterSettingsResource)
  nameWithType: ResourceLoader<ParticleEmitterSettingsResource>.TryGet(Guid, out ParticleEmitterSettingsResource)
  fullName: Voile.Resources.ResourceLoader<Voile.Systems.Particles.ParticleEmitterSettingsResource>.TryGet(System.Guid, out Voile.Systems.Particles.ParticleEmitterSettingsResource)
  nameWithType.vb: ResourceLoader(Of ParticleEmitterSettingsResource).TryGet(Guid, ParticleEmitterSettingsResource)
  fullName.vb: Voile.Resources.ResourceLoader(Of Voile.Systems.Particles.ParticleEmitterSettingsResource).TryGet(System.Guid, Voile.Systems.Particles.ParticleEmitterSettingsResource)
  name.vb: TryGet(Guid, ParticleEmitterSettingsResource)
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.TryGet(System.Guid,Voile.Systems.Particles.ParticleEmitterSettingsResource@)
    name: TryGet
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryGet_System_Guid__0__
  - name: (
  - uid: System.Guid
    name: Guid
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.guid
  - name: ','
  - name: " "
  - name: out
  - name: " "
  - uid: Voile.Systems.Particles.ParticleEmitterSettingsResource
    name: ParticleEmitterSettingsResource
    href: Voile.Systems.Particles.ParticleEmitterSettingsResource.html
  - name: )
  spec.vb:
  - uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.TryGet(System.Guid,Voile.Systems.Particles.ParticleEmitterSettingsResource@)
    name: TryGet
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryGet_System_Guid__0__
  - name: (
  - uid: System.Guid
    name: Guid
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.guid
  - name: ','
  - name: " "
  - uid: Voile.Systems.Particles.ParticleEmitterSettingsResource
    name: ParticleEmitterSettingsResource
    href: Voile.Systems.Particles.ParticleEmitterSettingsResource.html
  - name: )
- uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.TryUnload(System.Guid)
  commentId: M:Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.TryUnload(System.Guid)
  parent: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}
  definition: Voile.Resources.ResourceLoader`1.TryUnload(System.Guid)
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryUnload_System_Guid_
  name: TryUnload(Guid)
  nameWithType: ResourceLoader<ParticleEmitterSettingsResource>.TryUnload(Guid)
  fullName: Voile.Resources.ResourceLoader<Voile.Systems.Particles.ParticleEmitterSettingsResource>.TryUnload(System.Guid)
  nameWithType.vb: ResourceLoader(Of ParticleEmitterSettingsResource).TryUnload(Guid)
  fullName.vb: Voile.Resources.ResourceLoader(Of Voile.Systems.Particles.ParticleEmitterSettingsResource).TryUnload(System.Guid)
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.TryUnload(System.Guid)
    name: TryUnload
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryUnload_System_Guid_
  - name: (
  - uid: System.Guid
    name: Guid
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.guid
  - name: )
  spec.vb:
  - uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.TryUnload(System.Guid)
    name: TryUnload
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryUnload_System_Guid_
  - name: (
  - uid: System.Guid
    name: Guid
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.guid
  - name: )
- uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}._loadedResources
  commentId: F:Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}._loadedResources
  parent: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}
  definition: Voile.Resources.ResourceLoader`1._loadedResources
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1__loadedResources
  name: _loadedResources
  nameWithType: ResourceLoader<ParticleEmitterSettingsResource>._loadedResources
  fullName: Voile.Resources.ResourceLoader<Voile.Systems.Particles.ParticleEmitterSettingsResource>._loadedResources
  nameWithType.vb: ResourceLoader(Of ParticleEmitterSettingsResource)._loadedResources
  fullName.vb: Voile.Resources.ResourceLoader(Of Voile.Systems.Particles.ParticleEmitterSettingsResource)._loadedResources
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.Resources.ResourceLoader`1
  commentId: T:Voile.Resources.ResourceLoader`1
  href: Voile.Resources.ResourceLoader-1.html
  name: ResourceLoader<T>
  nameWithType: ResourceLoader<T>
  fullName: Voile.Resources.ResourceLoader<T>
  nameWithType.vb: ResourceLoader(Of T)
  fullName.vb: Voile.Resources.ResourceLoader(Of T)
  name.vb: ResourceLoader(Of T)
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader`1
    name: ResourceLoader
    href: Voile.Resources.ResourceLoader-1.html
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: Voile.Resources.ResourceLoader`1
    name: ResourceLoader
    href: Voile.Resources.ResourceLoader-1.html
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: Voile.Resources
  commentId: N:Voile.Resources
  href: Voile.html
  name: Voile.Resources
  nameWithType: Voile.Resources
  fullName: Voile.Resources
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Resources
    name: Resources
    href: Voile.Resources.html
- uid: Voile.Resources.ResourceLoader`1.Load(System.String)
  commentId: M:Voile.Resources.ResourceLoader`1.Load(System.String)
  isExternal: true
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Load_System_String_
  name: Load(string)
  nameWithType: ResourceLoader<T>.Load(string)
  fullName: Voile.Resources.ResourceLoader<T>.Load(string)
  nameWithType.vb: ResourceLoader(Of T).Load(String)
  fullName.vb: Voile.Resources.ResourceLoader(Of T).Load(String)
  name.vb: Load(String)
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader`1.Load(System.String)
    name: Load
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Load_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: Voile.Resources.ResourceLoader`1.Load(System.String)
    name: Load
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Load_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: Voile.Resources.ResourceLoader`1.Reload
  commentId: M:Voile.Resources.ResourceLoader`1.Reload
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Reload
  name: Reload()
  nameWithType: ResourceLoader<T>.Reload()
  fullName: Voile.Resources.ResourceLoader<T>.Reload()
  nameWithType.vb: ResourceLoader(Of T).Reload()
  fullName.vb: Voile.Resources.ResourceLoader(Of T).Reload()
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader`1.Reload
    name: Reload
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Reload
  - name: (
  - name: )
  spec.vb:
  - uid: Voile.Resources.ResourceLoader`1.Reload
    name: Reload
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_Reload
  - name: (
  - name: )
- uid: Voile.Resources.ResourceLoader`1.TryGet(System.Guid,`0@)
  commentId: M:Voile.Resources.ResourceLoader`1.TryGet(System.Guid,`0@)
  isExternal: true
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryGet_System_Guid__0__
  name: TryGet(Guid, out T)
  nameWithType: ResourceLoader<T>.TryGet(Guid, out T)
  fullName: Voile.Resources.ResourceLoader<T>.TryGet(System.Guid, out T)
  nameWithType.vb: ResourceLoader(Of T).TryGet(Guid, T)
  fullName.vb: Voile.Resources.ResourceLoader(Of T).TryGet(System.Guid, T)
  name.vb: TryGet(Guid, T)
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader`1.TryGet(System.Guid,`0@)
    name: TryGet
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryGet_System_Guid__0__
  - name: (
  - uid: System.Guid
    name: Guid
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.guid
  - name: ','
  - name: " "
  - name: out
  - name: " "
  - name: T
  - name: )
  spec.vb:
  - uid: Voile.Resources.ResourceLoader`1.TryGet(System.Guid,`0@)
    name: TryGet
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryGet_System_Guid__0__
  - name: (
  - uid: System.Guid
    name: Guid
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.guid
  - name: ','
  - name: " "
  - name: T
  - name: )
- uid: Voile.Resources.ResourceLoader`1.TryUnload(System.Guid)
  commentId: M:Voile.Resources.ResourceLoader`1.TryUnload(System.Guid)
  isExternal: true
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryUnload_System_Guid_
  name: TryUnload(Guid)
  nameWithType: ResourceLoader<T>.TryUnload(Guid)
  fullName: Voile.Resources.ResourceLoader<T>.TryUnload(System.Guid)
  nameWithType.vb: ResourceLoader(Of T).TryUnload(Guid)
  fullName.vb: Voile.Resources.ResourceLoader(Of T).TryUnload(System.Guid)
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader`1.TryUnload(System.Guid)
    name: TryUnload
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryUnload_System_Guid_
  - name: (
  - uid: System.Guid
    name: Guid
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.guid
  - name: )
  spec.vb:
  - uid: Voile.Resources.ResourceLoader`1.TryUnload(System.Guid)
    name: TryUnload
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_TryUnload_System_Guid_
  - name: (
  - uid: System.Guid
    name: Guid
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.guid
  - name: )
- uid: Voile.Resources.ResourceLoader`1._loadedResources
  commentId: F:Voile.Resources.ResourceLoader`1._loadedResources
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1__loadedResources
  name: _loadedResources
  nameWithType: ResourceLoader<T>._loadedResources
  fullName: Voile.Resources.ResourceLoader<T>._loadedResources
  nameWithType.vb: ResourceLoader(Of T)._loadedResources
  fullName.vb: Voile.Resources.ResourceLoader(Of T)._loadedResources
- uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.SupportedExtensions
  commentId: P:Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.SupportedExtensions
  parent: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}
  definition: Voile.Resources.ResourceLoader`1.SupportedExtensions
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_SupportedExtensions
  name: SupportedExtensions
  nameWithType: ResourceLoader<ParticleEmitterSettingsResource>.SupportedExtensions
  fullName: Voile.Resources.ResourceLoader<Voile.Systems.Particles.ParticleEmitterSettingsResource>.SupportedExtensions
  nameWithType.vb: ResourceLoader(Of ParticleEmitterSettingsResource).SupportedExtensions
  fullName.vb: Voile.Resources.ResourceLoader(Of Voile.Systems.Particles.ParticleEmitterSettingsResource).SupportedExtensions
- uid: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.SupportedExtensions*
  commentId: Overload:Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.SupportedExtensions
  href: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.html#Voile_Systems_Particles_ParticleEmitterSettingsResourceLoader_SupportedExtensions
  name: SupportedExtensions
  nameWithType: ParticleEmitterSettingsResourceLoader.SupportedExtensions
  fullName: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.SupportedExtensions
- uid: System.Collections.Generic.IEnumerable{System.String}
  commentId: T:System.Collections.Generic.IEnumerable{System.String}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.IEnumerable`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  name: IEnumerable<string>
  nameWithType: IEnumerable<string>
  fullName: System.Collections.Generic.IEnumerable<string>
  nameWithType.vb: IEnumerable(Of String)
  fullName.vb: System.Collections.Generic.IEnumerable(Of String)
  name.vb: IEnumerable(Of String)
  spec.csharp:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: Voile.Resources.ResourceLoader`1.SupportedExtensions
  commentId: P:Voile.Resources.ResourceLoader`1.SupportedExtensions
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_SupportedExtensions
  name: SupportedExtensions
  nameWithType: ResourceLoader<T>.SupportedExtensions
  fullName: Voile.Resources.ResourceLoader<T>.SupportedExtensions
  nameWithType.vb: ResourceLoader(Of T).SupportedExtensions
  fullName.vb: Voile.Resources.ResourceLoader(Of T).SupportedExtensions
- uid: System.Collections.Generic.IEnumerable`1
  commentId: T:System.Collections.Generic.IEnumerable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  name: IEnumerable<T>
  nameWithType: IEnumerable<T>
  fullName: System.Collections.Generic.IEnumerable<T>
  nameWithType.vb: IEnumerable(Of T)
  fullName.vb: System.Collections.Generic.IEnumerable(Of T)
  name.vb: IEnumerable(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.IEnumerable`1
    name: IEnumerable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.ienumerable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
- uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.LoadResource(System.String)
  commentId: M:Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.LoadResource(System.String)
  parent: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}
  definition: Voile.Resources.ResourceLoader`1.LoadResource(System.String)
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_LoadResource_System_String_
  name: LoadResource(string)
  nameWithType: ResourceLoader<ParticleEmitterSettingsResource>.LoadResource(string)
  fullName: Voile.Resources.ResourceLoader<Voile.Systems.Particles.ParticleEmitterSettingsResource>.LoadResource(string)
  nameWithType.vb: ResourceLoader(Of ParticleEmitterSettingsResource).LoadResource(String)
  fullName.vb: Voile.Resources.ResourceLoader(Of Voile.Systems.Particles.ParticleEmitterSettingsResource).LoadResource(String)
  name.vb: LoadResource(String)
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.LoadResource(System.String)
    name: LoadResource
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_LoadResource_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: Voile.Resources.ResourceLoader{Voile.Systems.Particles.ParticleEmitterSettingsResource}.LoadResource(System.String)
    name: LoadResource
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_LoadResource_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
- uid: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.LoadResource*
  commentId: Overload:Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.LoadResource
  href: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.html#Voile_Systems_Particles_ParticleEmitterSettingsResourceLoader_LoadResource_System_String_
  name: LoadResource
  nameWithType: ParticleEmitterSettingsResourceLoader.LoadResource
  fullName: Voile.Systems.Particles.ParticleEmitterSettingsResourceLoader.LoadResource
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: Voile.Resources.ResourceLoader`1.LoadResource(System.String)
  commentId: M:Voile.Resources.ResourceLoader`1.LoadResource(System.String)
  isExternal: true
  href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_LoadResource_System_String_
  name: LoadResource(string)
  nameWithType: ResourceLoader<T>.LoadResource(string)
  fullName: Voile.Resources.ResourceLoader<T>.LoadResource(string)
  nameWithType.vb: ResourceLoader(Of T).LoadResource(String)
  fullName.vb: Voile.Resources.ResourceLoader(Of T).LoadResource(String)
  name.vb: LoadResource(String)
  spec.csharp:
  - uid: Voile.Resources.ResourceLoader`1.LoadResource(System.String)
    name: LoadResource
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_LoadResource_System_String_
  - name: (
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
  spec.vb:
  - uid: Voile.Resources.ResourceLoader`1.LoadResource(System.String)
    name: LoadResource
    href: Voile.Resources.ResourceLoader-1.html#Voile_Resources_ResourceLoader_1_LoadResource_System_String_
  - name: (
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: )
